#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;


int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    int N = inf.readInt(1, 100, "N");
    inf.readSpace();
    int W = inf.readInt(1, 1e5, "W");
    inf.readEoln();
    for (int i = 0; i < N; i++) {
        inf.readInt(1, W, "wi");
        inf.readSpace();
        inf.readInt(1, 1e9, "vi");
        inf.readEoln();
    }
    inf.readEof();
    return 0;
}